/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<ksortfilterproxymodel.h>)
#  include <ksortfilterproxymodel.h>
#endif
#if __has_include(<trayitempositionmanager.h>)
#  include <trayitempositionmanager.h>
#endif
#if __has_include(<trayitempositionregister.h>)
#  include <trayitempositionregister.h>
#endif
#if __has_include(<traysortordermodel.h>)
#  include <traysortordermodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_deepin_ds_dock_tray()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<KSortFilterProxyModel>("org.deepin.ds.dock.tray", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    QMetaType::fromType<QStandardItemModel *>().id();
    qmlRegisterTypesAndRevisions<docktray::DropIndex>("org.deepin.ds.dock.tray", 1);
    qmlRegisterTypesAndRevisions<docktray::TrayItemPositionManager>("org.deepin.ds.dock.tray", 1);
    qmlRegisterTypesAndRevisions<docktray::TrayItemPositionRegister>("org.deepin.ds.dock.tray", 1);
    qmlRegisterTypesAndRevisions<docktray::TrayItemPositionRegisterAttachedType>("org.deepin.ds.dock.tray", 1);
    qmlRegisterTypesAndRevisions<docktray::TraySortOrderModel>("org.deepin.ds.dock.tray", 1);
    qmlRegisterEnum<docktray::TraySortOrderModel::Roles>("docktray::TraySortOrderModel::Roles");
    qmlRegisterEnum<docktray::TraySortOrderModel::VisualSections>("docktray::TraySortOrderModel::VisualSections");
    QT_WARNING_POP
    qmlRegisterModule("org.deepin.ds.dock.tray", 1, 0);
}

static const QQmlModuleRegistration orgdeepindsdocktrayRegistration("org.deepin.ds.dock.tray", qml_register_types_org_deepin_ds_dock_tray);
